# Generated from kitchen-digitalocean-0.16.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name kitchen-digitalocean

Name: rubygem-%{gem_name}
Version: 0.16.1
Release: 1%{?dist}
Summary: A Test Kitchen Driver for Digital Ocean
License: Apache-2.0
URL: https://github.com/test-kitchen/kitchen-digitalocean
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.0
BuildArch: noarch

%description
A Test Kitchen Driver for Digital Ocean.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Jul 03 2024 mockbuilder - 0.16.1-1
- Initial package
